function f=xidist(t,X)
%function f=xidist(t,X)
%integrates X, normalizes to probability, returns preimage location at {t}
%WARNING: 100% robust to almost any trash input :-)
%
%example:
%		[u,U] = xunique([1 0 1 2 3 1 2 1 2]);
%		u =  0     1     2     3
%		U =  1     4     3     1
% then
%   [1 3]= xidist([0 .8],U);
%

if size(X,1)==1; X=X'; end;	
sX=cumsum(X);	
sX=[0;sX/(sX(end)+eps)];
sX(end)=[];
f=zeros(size(t));
for c1=1:numel(t)
	g=find(sX<=t(c1));
	f(c1)=g(end);
end
